Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 982192 (ghc-indents) - Review Request: ghc-indents - Indentation sensitive parser-combinators for parsec
Summary: Review Request: ghc-indents - Indentation sensitive parser-combinators for pa...
Keywords:
Status: CLOSED ERRATA
Alias: ghc-indents
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: ghc-concatenative
Blocks: 982204
TreeView+ depends on / blocked
 
Reported: 2013-07-08 11:11 UTC by Rick Elrod
Modified: 2013-09-23 00:39 UTC (History)
2 users (show)

Fixed In Version: ghc-indents-0.3.3-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-21 08:35:30 UTC
petersen: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Rick Elrod 2013-07-08 11:11:44 UTC
Spec URL: http://codeblock.fedorapeople.org/packages/ghc-indents/ghc-indents.spec
SRPM URL: http://codeblock.fedorapeople.org/packages/ghc-indents/ghc-indents-0.3.3-1.fc19.src.rpm
Description:
This library provides functions for use in parsing indentation sensitive
contexts. It parses blocks of lines all indented to the same level as well as
lines continued at an indented level below.
Fedora Account System Username: codeblock

Comment 1 Jens Petersen 2013-08-26 07:49:29 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Static libraries in -static subpackage, if present.
  Note: Archive *.a files found in ghc-indents-devel
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#StaticLibraries

Okay for Haskell ghc libraries.

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 153600 bytes in 17 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[-]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ghc-indents-0.3.3-1.fc21.x86_64.rpm
          ghc-indents-devel-0.3.3-1.fc21.x86_64.rpm
ghc-indents.x86_64: W: spelling-error Summary(en_US) combinators -> combinations, combination, contaminators
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint ghc-indents ghc-indents-devel
ghc-indents.x86_64: W: spelling-error Summary(en_US) combinators -> combinations, combination, contaminators
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
ghc-indents (rpmlib, GLIBC filtered):
    ghc(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc(concatenative-1.0.1-5dce5049725b738d52e82db5ed7e2fcd)
    ghc(mtl-2.1.2-82086cac9073862cbe01e44b81ec8b9b)
    ghc(parsec-3.1.3-441f1388bc13de47c52a9ba8a23194f4)
    libHSarray-0.4.0.1-ghc7.6.3.so()(64bit)
    libHSbase-4.6.0.1-ghc7.6.3.so()(64bit)
    libHSbytestring-0.10.0.2-ghc7.6.3.so()(64bit)
    libHSconcatenative-1.0.1-ghc7.6.3.so()(64bit)
    libHScontainers-0.5.0.0-ghc7.6.3.so()(64bit)
    libHSdeepseq-1.3.0.1-ghc7.6.3.so()(64bit)
    libHSghc-prim-0.3.0.0-ghc7.6.3.so()(64bit)
    libHSinteger-gmp-0.5.0.0-ghc7.6.3.so()(64bit)
    libHSmtl-2.1.2-ghc7.6.3.so()(64bit)
    libHSparsec-3.1.3-ghc7.6.3.so()(64bit)
    libHSpretty-1.1.1.0-ghc7.6.3.so()(64bit)
    libHStemplate-haskell-2.8.0.0-ghc7.6.3.so()(64bit)
    libHStext-0.11.3.1-ghc7.6.3.so()(64bit)
    libHStransformers-0.3.0.0-ghc7.6.3.so()(64bit)
    libc.so.6()(64bit)
    libgmp.so.10()(64bit)
    rtld(GNU_HASH)

ghc-indents-devel (rpmlib, GLIBC filtered):
    /bin/sh
    ghc(indents-0.3.3-653c8471ee31c25459c5faa0e8db1545)
    ghc-compiler
    ghc-devel(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc-devel(concatenative-1.0.1-5dce5049725b738d52e82db5ed7e2fcd)
    ghc-devel(mtl-2.1.2-82086cac9073862cbe01e44b81ec8b9b)
    ghc-devel(parsec-3.1.3-441f1388bc13de47c52a9ba8a23194f4)
    ghc-indents(x86-64)



Provides
--------
ghc-indents:
    ghc(indents-0.3.3-653c8471ee31c25459c5faa0e8db1545)
    ghc-indents
    ghc-indents(x86-64)
    libHSindents-0.3.3-ghc7.6.3.so()(64bit)

ghc-indents-devel:
    ghc-devel(indents-0.3.3-653c8471ee31c25459c5faa0e8db1545)
    ghc-indents-devel
    ghc-indents-devel(x86-64)



Unversioned so-files
--------------------
ghc-indents: /usr/lib64/ghc-7.6.3/indents-0.3.3/libHSindents-0.3.3-ghc7.6.3.so

Source checksums
----------------
http://hackage.haskell.org/packages/archive/indents/0.3.3/indents-0.3.3.tar.gz :
  CHECKSUM(SHA256) this package     : b61f51ac894609cb5571cc3ded12db5de97185a8de236c69ec24c87457109f9a
  CHECKSUM(SHA256) upstream package : b61f51ac894609cb5571cc3ded12db5de97185a8de236c69ec24c87457109f9a


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 982192


Package APPROVED

Comment 2 Rick Elrod 2013-09-03 02:24:37 UTC
New Package SCM Request
=======================
Package Name: ghc-indents
Short Description: Indentation sensitive parser-combinators for parsec
Owners: codeblock petersen
Branches: f18 f19 f20
InitialCC: haskell-sig

Comment 3 Gwyn Ciesla 2013-09-03 12:20:47 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2013-09-12 03:09:16 UTC
ghc-indents-0.3.3-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ghc-indents-0.3.3-1.fc18

Comment 5 Fedora Update System 2013-09-12 03:09:26 UTC
ghc-indents-0.3.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ghc-indents-0.3.3-1.fc19

Comment 6 Fedora Update System 2013-09-12 03:09:34 UTC
ghc-indents-0.3.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ghc-indents-0.3.3-1.fc20

Comment 7 Fedora Update System 2013-09-12 16:26:48 UTC
ghc-indents-0.3.3-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 8 Fedora Update System 2013-09-21 08:35:30 UTC
ghc-indents-0.3.3-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 9 Fedora Update System 2013-09-21 08:37:44 UTC
ghc-indents-0.3.3-1.fc18 has been pushed to the Fedora 18 stable repository.

Comment 10 Fedora Update System 2013-09-23 00:39:13 UTC
ghc-indents-0.3.3-1.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.